This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 495246 - (perl-POE-Test-Loops) Review Request: perl-POE-Test-Loops - Reusable tests for POE::Loop authors
Review Request: perl-POE-Test-Loops - Reusable tests for POE::Loop authors
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Iain Arnell
Fedora Extras Quality Assurance
http://search.cpan.org/dist/POE-Test-...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-10 14:32 EDT by Chris Weyl
Modified: 2009-12-03 01:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-12 15:30:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
iarnell: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-04-10 14:32:43 EDT
Spec URL: http://fedorapeople.org/~cweyl/review/perl-POE-Test-Loops.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-POE-Test-Loops-1.005-1.fc10.src.rpm

Description:
POE::Test::Loops contains one function, generate(), which will generate
all the loop tests for one or more POE::Loop subclasses. The SYNOPSIS
example is a version of poe-gen-tests, which is a stand-alone utility
to generate the actual tests. The poe-gen-tests manpage also documents
the POE::Test::Loops system in more detail.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1289744

Additional Comment:

This package is a dep of POE 1.004.

*rt-0.05
Comment 1 Iain Arnell 2009-04-11 00:50:15 EDT
+ source files match upstream.  
  85a7b805542ecfae32cec5319a3d4eb8f44e1fd1  POE-Test-Loops-1.005.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
  GPL+ or Artistic

+ license is open source-compatible.
+ license text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1289744

+ package installs properly.
+ rpmlint has no complaints:
  perl-POE-Test-Loops.src: I: checking
  perl-POE-Test-Loops.noarch: I: checking
  2 packages and 0 specfiles checked; 0 errors, 0 warnings.
  
+ final provides and requires are sane:
  perl(POE::Test::DondeEstan)  
  perl(POE::Test::Loops) = 1.005
  perl-POE-Test-Loops = 1.005-1.fc11
=
  /usr/bin/perl  
  perl(:MODULE_COMPAT_5.10.0)  
  perl(File::Find)  
  perl(File::Path)  
  perl(File::Spec)  
  perl(Getopt::Long)  
  perl(IO::File)  
  perl(IO::Socket)  
  perl(IO::Socket::INET)  
  perl(POE)  
  perl(POE::NFA)  
  perl(POE::Session)  
  perl(POE::Test::DondeEstan)  
  perl(POE::Test::Loops)  
  perl(POSIX)  
  perl(Socket)  
  perl(Symbol)  
  perl(Test::More)  
  perl(lib)  
  perl(strict)  
  perl(vars)  
  perl(warnings)  
  rpmlib(CompressedFileNames) <= 3.0.4-1
  rpmlib(FileDigests) <= 4.6.0-1
  rpmlib(PayloadFilesHavePrefix) <= 4.0-1
  rpmlib(VersionedDependencies) <= 3.0.3-1

+ %check is present and all tests pass.
  All tests successful.
  Files=1, Tests=1,  0 wallclock secs ( 0.03 usr  0.01 sys +  0.06 cusr  0.00 csys =  0.10 CPU)
  Result: PASS

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.


APPROVED
Comment 2 Chris Weyl 2009-04-11 01:00:07 EDT
New Package CVS Request
=======================
Package Name: perl-POE-Test-Loops
Short Description: Reusable tests for POE::Loop authors
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-04-12 14:28:18 EDT
cvs done.
Comment 4 Chris Weyl 2009-04-12 15:30:06 EDT
Thanks for the review! :-)
Comment 5 Steve Traylen 2009-12-01 04:09:55 EST
Package Change Request
======================
Package Name: perl-POE-Test-Loops
New Branches: EL-5
Owners: stevetraylen


Hi
 I contacted Chris a few weeks ago and he was happy for me 
 to take perl-POE* in EPEL.

 Also explicitly for perl-POE-Test-Loops I asked again last week to confirm
 and no reply was given.

Steve
Comment 6 Kevin Fenzi 2009-12-03 01:45:37 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.